name: SW-18015PZR-10G12B2
description: vibration switch, through hole
datasheet: http://www.helloxkb.com/public/images/pdf/SW-18015PZR-10G12B2.pdf
distributor: LCSC C2879954

pinout:
  PILLAR: 1
  SPRING: 2

properties:
  passive: PILLAR, SPRING

schematic:
  symbol: pushbutton
  left: PILLAR
  right: SPRING

housing:
  pattern: custom
  bodyLength: 11
  bodyWidth: 4.5
  bodyHeight: 4.5

  holeDiameter: 0.7 # 0.5 + 0.2
  padDiameter: 1.1 # 0.7 + 2*0.2
  padPosition: 0, 7.75 # 11.0/2 + 4.5/2

  holeDiameter1: 0.3 # 0.1 + 0.2
  padDiameter1: 0.7 # 0.3 + 2*0.2
  padPosition1: -1.5, 7.75
